Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out Class Reference

`#include <CONV_FRAMEC.h>`

Collaboration diagram for CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out:

[legend]
List of all members.

## Public Methods
| _tao_seq_CodeSetId_out (_tao_seq_CodeSetId *&)
| _tao_seq_CodeSetId_out (_tao_seq_CodeSetId_var &)
| _tao_seq_CodeSetId_out (const _tao_seq_CodeSetId_out &)
_tao_seq_CodeSetId_out & | operator= (const _tao_seq_CodeSetId_out &)
_tao_seq_CodeSetId_out & | operator= (_tao_seq_CodeSetId *)
| operator _tao_seq_CodeSetId *& ()
_tao_seq_CodeSetId *& | ptr (void)
_tao_seq_CodeSetId * | operator-> (void)
CodeSetId & | operator[] (CORBA::ULong index)
## Private Methods
void | operator= (const _tao_seq_CodeSetId_var &)
## Private Attributes
_tao_seq_CodeSetId *& | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::_tao_seq_CodeSetId_out | ( | _tao_seq_CodeSetId *& |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::_tao_seq_CodeSetId_out | ( | _tao_seq_CodeSetId_var & |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::_tao_seq_CodeSetId_out | ( | const _tao_seq_CodeSetId_out & | p | ) |

## Member Function Documentation

CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::operator _tao_seq_CodeSetId *& | ( |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId * CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::operator-> | ( | void |  | ) |

void CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::operator= | ( | const _tao_seq_CodeSetId_var & |  | ) | `[private]`

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::operator= | ( | _tao_seq_CodeSetId * |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::operator= | ( | const _tao_seq_CodeSetId_out & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetId & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId *& CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::ptr | ( | void |  | ) |

## Member Data Documentation

_tao_seq_CodeSetId*& CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- CONV_FRAMEC.h
- CONV_FRAMEC.i